Package jebl.evolution.align.scores

# Class SubstScoreMatrix

java.lang.Object
jebl.evolution.align.scores.Scores
jebl.evolution.align.scores.SubstScoreMatrix

All Implemented Interfaces:
  `ScoreMatrix`

public class SubstScoreMatrix extends Scores

Version:
  $Id: SubstScoreMatrix.java 360 2006-06-22 07:42:48Z pepster $
Author:
  Alexei Drummond

## Field Summary

### Fields inherited from class jebl.evolution.align.scores.Scores

`score`

## Constructor Summary

Constructors
Constructor
Description
`SubstScoreMatrix(RateMatrix rateMatrix)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlphabet()`
`String`
`getName()`

### Methods inherited from class jebl.evolution.align.scores.Scores

`duplicate, forMatrix, getMatrixString, getScore, includeAdditionalCharacters, includeGaps, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SubstScoreMatrix

public SubstScoreMatrix(RateMatrix rateMatrix)

## Method Details

### getName

public String getName()

Returns:
  human readable name

### getAlphabet

public String getAlphabet()

Returns:
  a string containing the valid characters for this score matrix.